Subject: [v6ops] I-D Action: draft-ietf-v6ops-enterprise-incremental-ipv6-05.txt

From: [email-masked]
Date: Sun, 12 Jan 2014 11:21:03 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the IPv6 Operations Working Group of the IETF.

        Title           : Enterprise IPv6 Deployment Guidelines
        Authors         : Kiran K. Chittimaneni
                          Tim Chown
                          Lee Howard
                          Victor Kuarsingh
                          Yanick Pouffary
                          Eric Vyncke
	Filename        : draft-ietf-v6ops-enterprise-incremental-ipv6-05.txt
	Pages           : 34
	Date            : 2014-01-12

Abstract:
   Enterprise network administrators worldwide are in various stages of
   preparing for or deploying IPv6 into their networks.  The
   administrators face different challenges than operators of Internet
   access providers, and have reasons for different priorities.  The
   overall problem for many administrators will be to offer Internet-
   facing services over IPv6, while continuing to support IPv4, and
   while introducing IPv6 access within the enterprise IT network.  The
   overall transition will take most networks from an IPv4-only
   environment to a dual stack network environment and eventually an
   IPv6-only operating mode.  This document helps provide a framework
   for enterprise network architects or administrators who may be faced
   with many of these challenges as they consider their IPv6 support
   strategies.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-v6ops-enterprise-incremental-ipv6/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-v6ops-enterprise-incremental-ipv6-05

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-v6ops-enterprise-incremental-ipv6-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 13 Jan 2014 22:42:44 +0000

Authors,

Please see the following for input to your document:

http://www.ietf.org/mail-archive/web/v6ops/current/msg18488.html

Please add a reference for AERO, and preferably a new section
describing incremental deployment of IPv6 in enterprise networks
using AERO.

Thanks - Fred
[email-masked]

> -----Original Message-----
> From: v6ops [mailto:[email-masked]] On Behalf Of [email-masked]
> Sent: Sunday, January 12, 2014 11:21 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [v6ops] I-D Action: draft-ietf-v6ops-enterprise-incremental-ipv6-05.txt
> 
> 
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops

---

From: Tim Chown <[email-masked]>
Date: Tue, 14 Jan 2014 00:13:29 +0000

Hi Fred,

My concern with that is that we're tending towards methods and processes that have been proven in the document.

I'm not at all sure that AERO has had any widespread use in IPv6 enterprise sites.  What implementations/deployments have there been?

Tim

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 14 Jan 2014 15:42:49 +0000

Hi Tim,

> From: Tim Chown [mailto:[email-masked]]
> Sent: Monday, January 13, 2014 4:13 PM
> To: Templin, Fred L
> Cc: [email-masked]
> Subject: Re: [v6ops] I-D Action: draft-ietf-v6ops-enterprise-incremental-ipv6-05.txt
> 
> Hi Fred,
> 
> I'm not at all sure that AERO has had any widespread use in IPv6 enterprise sites.  What
> implementations/deployments have there been?

AERO is a simple set of modifications to standard IPv6 ND. I have created
an early implementation here:

http://linkupnetworks.com/seal/sealv2-1.0.tgz

but needs to be updated to more closely match the latest draft version.

With AERO, enterprise IPv6 deployment can be accomplished by simply
touching the end systems and by deploying a few servers - nothing else
needs to change. So, for example, if a handset manufacturer wanted to
supply an enterprise with IPv6-enabled product, they could add AERO
to their handset code base and have the enterprise stand up a few
servers (maybe something like a linux box).

Thanks - Fred

---

From: Tim Chown <[email-masked]>
Date: Tue, 14 Jan 2014 15:48:03 +0000

Hi,

> but needs to be updated to more closely match the latest draft version.

OK, that's interesting, and I may take a look, but not sure it's at a level where we'd add it to the document.

Tim

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 14 Jan 2014 15:56:51 +0000

Hi Tim,

> Sent: Tuesday, January 14, 2014 7:48 AM
> To: Templin, Fred L
> Cc: [email-masked]
> >> My concern with that is that we're tending towards methods and processes that have been proven in
> the
> >> document.
> >>

OK, but there are obvious interactions and overlaps. For example, if
an enterprise decides to just use AERO it may not need most of the
guidance in enterprise-incremental. Or, if the enterprise follows
the enterprise-incremental guidance and deploys IPv6 in the network
it can still use AERO for its mobility management services.

One thing to be sure of is that AERO is not a transition tool - it
is intended as a long-term service.

Thanks - Fred

---

From: Lorenzo Colitti <[email-masked]>
Date: Sat, 18 Jan 2014 09:53:58 +0900

>         Title           : Enterprise IPv6 Deployment Guidelines

A couple of comments:

Section 3.5:

   - I think the draft should note that NPTv6 is an experimental
   technology, since RFC 6296 is experimental.
   - Do we have any actual deployment experience of  deployment, or is
   there any public deployment experience? If not, the draft should note that
   this model is untested.
   - The statement "Use of NPTv6 can be chosen independently from how
   addresses are assigned and routed within the internal network" is not
   entirely accurate. For example, if an operator decides to use NPTv6 with
   ULA addresses, hosts will never use IPv6 to talk to external destinations,
   because IPv4->IPv4 is preferred over ULA -> IPv6. This might be a surprise.

Section 2.6:

   - I think the draft should mention that ULAs are only intended for local
   communications and *not* for communication outside of a site (RFC 4193
   section 1). This is important because otherwise readers might think that
   ULAs are an equivalent to RFC1918 space with NAT, which they are not
   intended to be.

Regards,
Lorenzo